# $Revision: 1.3.2.1 $, $Date: 2005/06/20 12:12:48 $
Summary:	Alternative server-based lock/cluster manager for GFS
Summary(pl):	Alternatywny oparty na serwerze zarzdca blokad/klastra dla GFS-a
Name:		gulm
Version:	1.0
%define	bver	pre26
Release:	0.%{bver}.2
License:	GPL v2
Group:		Libraries
Source0:	http://people.redhat.com/cfeist/cluster/tgz/%{name}-%{version}-%{bver}.tar.gz
# Source0-md5:	b713e4d3e4f0c48c5a95e370519aba62
URL:		http://sources.redhat.com/cluster/gulm/
BuildRequires:	ccs-devel
BuildRequires:	libwrap-devel
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
GULM is a server-based unified cluster/lock manager for GFS, GNBD, and
CLVM. It can be used in place of CMAN and DLM. A single GULM server
can be run in stand-alone mode but introduces a single point of
failure for GFS. Three or five GULM servers can also be run together
in which case the failure of 1 or 2 servers can be tolerated
respectively. GULM servers are usually run on dedicated machines,
although this is not a strict requirement.

%description -l pl
GULM to oparty na serwerze jednolity zarzdca klastra/blokad dla
GFS-a, GNBD i CLVM-a. Moe by uywany zamiast CMAN-a i DLM-a.
Pojedynczy serwer GULM moe dziaa w trybie samodzielnym, ale wtedy
jest punktem zawodnym dla GFS-a. Naraz mog dziaa trzy lub pi
serwerw GULM, wtedy tolerowana jest awaria odpowiednio 1 lub 2
serwerw. Serwery GULM zwykle dziaaj na dedykowanych maszynach, ale
nie jest to cise wymaganie.

%package devel
Summary:	Header files for GULM
Summary(pl):	Pliki nagwkowe dla GULM-a
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for GULM.

%description devel -l pl
Pliki nagwkowe dla GULM-a.

%package static
Summary:	Static GULM library
Summary(pl):	Statyczna biblioteka GULM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GULM library.

%description static -l pl
Statyczna biblioteka GULM.

%prep
%setup -q -n %{name}-%{version}-%{bver}

%{__perl} -pi -e 's/-g -O/%{rpmcflags}/;s/ -lnsl//' Makefile

%build
./configure \
	--incdir=%{_includedir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir}
%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_libdir}/libgulm.so.*.* $RPM_BUILD_ROOT/%{_lib}/
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libgulm.so.*.*) \
        $RPM_BUILD_ROOT%{_libdir}/libgulm.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) /%{_lib}/libgulm.so.*.*
#%attr(754,root,root) /etc/rc.d/init.d/lock_gulmd
%{_mandir}/man[58]/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgulm.so
%{_includedir}/libgulm.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libgulm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gulm.spec,v $
Revision 1.3.2.1  2005/06/20 12:12:48  baggins
- release 2
- so libs moved to /lib (lvm2 req)

Revision 1.3  2005/04/14 21:05:17  qboosh
- updated to 1.0-pre26, use optflags

Revision 1.2  2004/06/27 11:40:13  qboosh
- pl desc, no epoch in deps (no Epoch field)

Revision 1.1  2004/06/26 23:37:51  arekm
- initial pld release
